wxWidgets: wxTranslationsLoader Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxTranslationsLoader Class Referenceabstract

`#include </home/Hamish/wxwidgets/wxWidgets3.0-3.0.5.1-1.src/wxWidgets3.0-3.0.5.1-1.i686/src/wxWidgets-3.0.5.1/interface/wx/translation.h>`

Inheritance diagram for wxTranslationsLoader:
[legend]

## Detailed Description

Abstraction of translations discovery and loading.

This interface makes it possible to override wxWidgets' default catalogs loading mechanism and load MO files from locations other than the filesystem (e.g. embed them in executable).

Implementations must implement the LoadCatalog() method.

See also
  wxFileTranslationsLoader, wxResourceTranslationsLoader

Since
  2.9.1

## Public Member Functions
| wxTranslationsLoader ()
| Trivial default constructor. More...
virtual wxMsgCatalog * | LoadCatalog (const wxString &domain, const wxString &lang)=0
| Called to load requested catalog. More...
virtual wxArrayString | GetAvailableTranslations (const wxString &domain) const =0
| Implements wxTranslations::GetAvailableTranslations(). More...

## Constructor & Destructor Documentation

## ◆ wxTranslationsLoader()

wxTranslationsLoader::wxTranslationsLoader | ( |  | ) |

Trivial default constructor.

## Member Function Documentation

## ◆ GetAvailableTranslations()

virtual wxArrayString wxTranslationsLoader::GetAvailableTranslations | ( | const wxString & | domain | ) | const
| pure virtual

Implements wxTranslations::GetAvailableTranslations().

## ◆ LoadCatalog()

virtual wxMsgCatalog* wxTranslationsLoader::LoadCatalog | ( | const wxString & | domain,
|  | const wxString & | lang
| ) |  |
| pure virtual

Called to load requested catalog.

If the catalog is found, LoadCatalog() should create wxMsgCatalog instance with its data and return it. The caller will take ownership of the catalog.

Parameters

  domain | Domain to load.
  lang | Language to look for. This is "canonical name" (see wxLocale::GetCanonicalName()), i.e. ISO 639 code, possibly combined with country code or additional modifiers (e.g. "fr", "en_GB" or "ca@valencia").

Returns
  Loaded catalog or NULL on failure.